import pylab

def calc(d):
    pop = 0
    res = 0
    cnt = []
    per = []
    for c, v in d.items():
        pop += v[0]
        res += v[1]
        cnt.append(c)
        per.append(v[1]/v[0] if v[0]>0 else 0)
    return cnt, per, res/pop if pop>0 else 0

def plot(d):
    pylab.bar(d.keys(), [v[1] for v in d.values()])
    pylab.title('Ресурс по странам')
    pylab.xlabel('Страны')
    pylab.ylabel('Ресурс')
    pylab.show()
